Bug 964973 - The puppet module install openshift/openshift_origin command fails on RHEL 6.4
The puppet module install openshift/openshift_origin command fails on RHEL 6.4
Status: CLOSED EOL
Product: OpenShift Origin
Classification: Red Hat
Component: Documentation (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: mfisher
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 04:39 EDT by Jan Pazdziora
Modified: 2017-01-25 01:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-25 01:38:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2013-05-20 04:39:17 EDT
Document URL: 

http://openshift.github.io/origin/file.install_origin_using_puppet.html

Section Number and Name: 

Installing Puppet

Describe the issue: 

# rpm -q puppet
puppet-2.6.18-3.el6.noarch
# puppet module install openshift/openshift_origin
Error: Unknown command module.
Usage: puppet command <space separated arguments>
Available commands are: agent, apply, cert, describe, doc, filebucket, inspect, kick, master, queue, resource
# 

Suggestions for improvement: 

No idea, I don't really know how it's supposed to work.

Additional information: 

I believe module install in only available in puppet 2.7 while the puppet in EPEL is 2.6.
Comment 1 Jan Pazdziora 2013-05-20 04:43:09 EDT
If bugzilla is not the proper way of reporting this kind of issues, please point me to better place/process.
Comment 2 Jan Pazdziora 2013-05-20 04:55:50 EDT
Upgrading puppet et al. to puppet-3.1.1-1.el6 from https://yum.puppetlabs.com/el/6/products/x86_64/ makes the command pass:

# puppet module install openshift/openshift_origin
Notice: Preparing to install into /etc/puppet/modules ...
Notice: Downloading from https://forge.puppetlabs.com ...
Notice: Installing -- do not interrupt ...
/etc/puppet/modules
└─┬ openshift-openshift_origin (v0.1.9)
  ├── puppetlabs-ntp (v0.3.0)
  └── puppetlabs-stdlib (v4.1.0)

So maybe the documentation should state that this or similar repo should be used?
Comment 3 Bilhar 2013-05-22 01:43:58 EDT
There's no formal documentation for OpenShift Origin at the moment. The document you're referencing to is maintained by the development team. I'm reassigning this BZ to kraman to investigate.
Comment 4 Krishna Raman 2013-12-09 20:24:27 EST
Fixed in latest builds. http://openshift.github.io/documentation/oo_deployment_guide_puppet.html
Comment 5 Jan Pazdziora 2013-12-19 01:51:01 EST
(In reply to Krishna Raman from comment #4)
> Fixed in latest builds.
> http://openshift.github.io/documentation/oo_deployment_guide_puppet.html

Confirming, with the puppet from puppetlabs repo recommended there for RHEL 6, the command no longer fails.

Note You need to log in before you can comment on or make changes to this bug.